Bug 837051 - Agent RPM - no agent rpm for rhel5
Agent RPM - no agent rpm for rhel5
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
unspecified
Unspecified Unspecified
low Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks: 837381
  Show dependency treegraph
 
Reported: 2012-07-02 11:35 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-06 15:15:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2012-07-02 11:35:27 EDT
Description of problem:
no agent rpm for rhel5 is ready.

Version-Release number of selected component (if applicable):
org.jboss.on-jboss-on-parent-3.1.0.GA-8

As a jon customer I want agent rpm installation file to be ready for rhel5.

As discussed, it will be ready for 3.1.1 version.
Comment 1 Charles Crouch 2012-07-03 12:00:45 EDT
Question from Larry/Deon: Can we use "noarch" to avoid creating to different 
sets of rpms for rhel5 vs 6?
Comment 3 Stefan Negrea 2012-07-05 14:11:38 EDT
All JON RPMs are created with noarch moniker. However, the current brew build target is setup for RHEL6. That means all the RPMs are signed for RHEL6 and they are build with a RHEL6 specific environment. 

RPMs that are unsigned or signed with the wrong certificate cannot be published through the errata process. That means the current RHEL6 RPMs cannot be published in RHEL5 channels. In order get RHEL5 RPMs, we would need to setup a RHEL5 brew tag and re-run the RPM packaging process.
Comment 4 John Sanda 2012-08-02 14:51:56 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 6 Charles Crouch 2012-08-29 12:21:33 EDT
As per 8/20 triage marking as an RFE
Comment 7 Stefan Negrea 2014-05-06 15:15:30 EDT
Fixed a looong time ago!

Note You need to log in before you can comment on or make changes to this bug.